Lua_EnjoyDrawRecordItem = class("Lua_EnjoyDrawRecordItem", Lua_DragContainerItem);
function Lua_EnjoyDrawRecordItem:ctor(p)
    self:superCall("ctor", p);
end

function Lua_EnjoyDrawRecordItem:buildShowItem()
    self:superCall("buildShowItem");

    self._height = 0;
    self.label = UICreate.createLabel(self.content, "", 40, 0, 520, 30, 20);
    self.label.overflowMethod = UILabel.Overflow.ResizeHeight;
    self.label.pivot = UIWidget.Pivot.TopLeft;
    self.label.spacingY = 10;
    self.label:setDepth(5);

    self.fenGeXian = UICreate.createUIAtlasImage(self.content, "common_atlas_2", "ui_common_x_06", 0, 0, 545, 2);
    self.fenGeXian:setDepth(5);
end

function Lua_EnjoyDrawRecordItem:dispose()
    self._height = 0;
    if self.fenGeXian ~= nil then
    	self.fenGeXian:dispose();
    	self.fenGeXian = nil;
    end
    self:superCall("dispose");
end

function Lua_EnjoyDrawRecordItem:getHeight()
    return self._height + 10;
end

function Lua_EnjoyDrawRecordItem:setData(data)
    self.data = data;
    if data ~= nil then
    	local arr = data.itemArr;
    	local itemStr = "";
    	for i=1,arr:getSize() do
    		if itemStr == "" then
                itemStr = "";
            else
                itemStr = itemStr.."[7D3907]、[-]";
            end
			local str = "";
			if arr[i].amount > 1 then
				str = "[u]".."[url=showItem_"..arr[i].item_id.."]".."["..arr[i].vo.colorStr.."]"..arr[i].vo.name.."[/url]".."*"..arr[i].amount.."[/u]";
			else
				str = "[u]".."[url=showItem_"..arr[i].item_id.."]"..arr[i].vo.colorName.."[/url]".."[/u]";
			end
			itemStr = itemStr..str;
    	end
    	local nameStr = "[url=playerClick_"..data.role_id.."]"..data.role_name.."[/url]";
    	self.label.text = LanUtil.formateStr(LanUtil.getValue(145501), nameStr, itemStr);
    end

    local posY = self.label.mainContent.transform.localPosition.y - self.label.height;
    self.fenGeXian:setLocation(300, posY, 0);

    self._height = self.label.height;
end

function Lua_EnjoyDrawRecordItem:onPlayerSoundClick()
    self:superCall("onPlayerSoundClick");
    local urlStr = self.label:getUrlByMousePos();
    if urlStr ~= nil then
        local arr = string.split(urlStr, "_");
        if arr[1] == "showItem" then
        	local vo = Lua_ToolVo.createToolVo(tonumber(arr[2]));
            Lua_PackUtil.showItemInfo(vo);
        elseif arr[1] == "playerClick" then
            Lua_ChatUtil.playerMenuPopListShow({role_id = tonumber(arr[2])});
        end
    end
end